Syncfusion UI controls for WPF provide various input controls often used in line-of-business applications. This package contains the following controls:

## List of Controls

* [Busy Indicator](https://www.syncfusion.com/wpf-controls/busy-indicator?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Button](https://www.syncfusion.com/wpf-controls/button?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Split Button](https://www.syncfusion.com/wpf-controls/split-button?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Calendar](https://www.syncfusion.com/wpf-controls/calendar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Carousel](https://www.syncfusion.com/wpf-controls/carousel?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Chromeless Window](https://www.syncfusion.com/wpf-controls/chromeless-window?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Color Picker](https://www.syncfusion.com/wpf-controls/color-picker?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Color Picker Palette](https://www.syncfusion.com/wpf-controls/color-picker-palette?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [ComboBox](https://www.syncfusion.com/wpf-controls/combobox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Date-time edit](https://www.syncfusion.com/wpf-controls/datetimepicker?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Double TextBox](https://www.syncfusion.com/wpf-controls/double-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Integer TextBox](https://www.syncfusion.com/wpf-controls/integer-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Percent TextBox](https://www.syncfusion.com/wpf-controls/percent-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Currency TextBox](https://www.syncfusion.com/wpf-controls/currency-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Masked TextBox](https://www.syncfusion.com/wpf-controls/maskedtextbox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Menu](https://www.syncfusion.com/wpf-controls/menu?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Spell checker](https://www.syncfusion.com/wpf-controls/sfspellchecker?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [TileView](https://www.syncfusion.com/wpf-controls/tile-view?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Time span edit](https://www.syncfusion.com/wpf-controls/timespan-editor?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Tool bar](https://www.syncfusion.com/wpf-controls/toolbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)
* [Up-down](https://www.syncfusion.com/wpf-controls/up-down?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)

## Busy Indicator

The WPF Busy Indicator control enables users to know when the application is busy.

## Button

The advanced button, split button, and drop-down button controls are extended from the WPF button with different characteristics to meet different application needs. It is compatible with the MVVM design pattern and supports features such as checkable support, multiline support, image size options, different button size modes, icon template, etc.

## Split Button

The split button is a combination of a button and a menu control. The button itself provides a default selection or when the arrow is clicked, displays a dropdown list for other possible selections.

## Calendar

The advanced WPF Calendar control (month calendar) can be utilized to navigate to any day of any year. The fully touch-enabled control allows you to navigate to the next or previous month of the calendar with an intuitive swipe. It provides multiselect date support, custom tooltips for dates, date selection ranges, the ability to display today’s date at the bottom, a week numbers display, and complete customization of date, day name, and special dates cells.

## Carousel

The WPF Carousel control provides navigation through a list of items with smooth animations. It allows arranging items in a user-defined path, including 3D, linear, and circular layouts. It also supports scaling and skewing the carousel items, and provides options to choose the rotation direction.

## Chromeless Window

ChromelessWindow is used to create customizable window for the end user’s applications. With these windows, user can have the complete control over the entire window. The features offered includes resizing, dragging and moving the window. It implements several other features to present an appealing User Interface to the end users. It also supports various built in skins and let the user to control its behavior and appearance 

## Color Picker

The WPF ColorPicker is an user interface to select and adjust color values. This supports various color specifications like RGB (Red Green Blue), HSV (Hue Saturation Value), and Hex codes.

## Color Picker Palette

The ColorPickerPalette control provides a rich visual interface for color selection. The structure of the control represents a palette which is displayed as a Drop-down with selected color highlighted at the top. Its provides standard colors and the various theme colors to choose. The control also has a ToolTip support which bears the name of the color. More color options are embedded with the control that provides you with a wide range of color options.

## ComboBox

The ComboBoxAdv control allows the component that allows user to type a value or choose an option from a list of predefined options. It has several out of the box features such as data binding, multiselection, editing and more.

## Date-time edit

The DateTimeEdit allows you to quickly navigate and select dates using months, years, and decades of calendar. The DateTimeEdit comprises text box and a dropdown with calendar and clock to pick or edit a date with time. It supports data binding, null value, maximum and minimum dates, date validation, watermark, culture and much more. It also provides flexible options for displaying the date-time according to the format required, as well as many customization options to enhance its appearance.

## Double TextBox

The DoubleTextBox control restricts input to double values with support for data binding, watermark, null value and support for culture. It provides various customization options to improve its appearance and suit an applications.

## Integer TextBox

The IntegerTextBox control restricts text box input to only integer values with support for data binding, Watermark, Null Value, and culture support. It provides many customization options to improve its appearance and to suit your applications.

## Percent TextBox

The PercentTextBox control restricts text box input to only double values and displays the percentage of the given value with support for data binding, Watermark, Null Value, and culture support. It provides many customization options to enhance the appearance and to suit the applications.

## Currency TextBox

The CurrencyTextBox control restricts text box input to only decimal values and displays it in the currency format with support for data binding, Watermark, Null Value, and culture support. It provides many customization options to enhance its appearance and to suit your applications.

## Masked TextBox

The SfMaskedEdit is an advanced version of the input control that restricts your input of certain types such as characters, text, and numbers by using a mask pattern. This control is used to create a template for providing information such as telephone numbers, IP addresses, product IDs, and so on.

## Menu

A MenuAdv control allows the hierarchal organization of elements that are associated with commands and event handlers. This control contains a collection of MenuItemAdv, which can be expanded to display additional MenuItemAdv’s or to perform a specific action when being clicked.

## Spell checker

SfSpellChecker control provides a simple and intuitive interface to check for spelling errors in text editor controls. You can perform spell checking on text editor control and it will also provide suggestions for the misspelled words through dialog and context menu. You can use spell check for any language(culture) input text and custom dictionary supports.

## TileView

The TileViewControl acts as a container that holds a set of TileViewItems, in which you can host rich information. You can maximize, minimize and drag the items of the TileViewControl in a matrix position to achieve the best layout.

## Time span edit

TimeSpanEdit is a control which set or display the time as Days: Hour: Min: Sec format. The fields can be incremented or decremented using the up/down keys.

## Toolbar

ToolBarAdv control is a container for a group of commands or control, which have relative functions. Usually it consist of buttons to invoke the commands.

## Up-Down

The WPF Updown control displays numeric values. The value can be edited by scrolling the values and by using the Increment and Decrement buttons of the UpDown control. It allows to define maximum and minimum values to which the user can increment/decrement the input’s value. Also can specify the interval, that will be applied to the value upon each increase/decrease.

## Related links
[Learn More about WPF UI Controls](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)

[Documentation](https://help.syncfusion.com/wpf/overview?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)

[Release History](https://help.syncfusion.com/wpf/release-notes/v19.3.0.47?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)

[Online Demos](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)

[Pricing](https://www.syncfusion.com/sales/products/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.

Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.


This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Shared%20WPF-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-shared-nuget) | Toll Free](1-888-9 DOTNET


